import 'package:rasadyar_core/core.dart';

class StatisticsLogic extends GetxController {
  List<String> transactionFilters = ['همه', 'دارای تراکنش', 'بدون تراکنش'];
  RxList<int> transactionFiltersSelected = RxList();
  RxList<String> iranProvinces = [
    'آذربایجان شرقی',
    'آذربایجان غربی',
    'اردبیل',
    'اصفهان',
    'البرز',
    'ایلام',
    'بوشهر',
    'تهران',
    'چهارمحال و بختیاری',
    'خراسان جنوبی',
    'خراسان رضوی',
    'خراسان شمالی',
    'خوزستان',
    'زنجان',
    'سمنان',
    'سیستان و بلوچستان',
    'فارس',
    'قزوین',
    'قم',
    'کردستان',
    'کرمان',
    'کرمانشاه',
    'کهگیلویه و بویراحمد',
    'گلستان',
    'گیلان',
    'لرستان',
    'مازندران',
    'مرکزی',
    'هرمزگان',
    'همدان',
    'یزد',
  ].obs;
  RxnString iranProvincesSelected = RxnString();
  RxInt  s1 =2536524448.obs;
  RxInt  s2 =2536524448.obs;

  @override
  void onReady() {
    // TODO: implement onReady
    super.onReady();
  }

  @override
  void onClose() {
    // TODO: implement onClose
    super.onClose();
  }

  void onTransactionFilterSelected(int index) {
    if (transactionFiltersSelected.contains(index)) {
      transactionFiltersSelected.remove(index);
    } else {
      transactionFiltersSelected.add(index);
    }
    update();
  }
}
